// components/My_RoundedCornerButtonTabs/index.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        /* tabs列表 */
        list: {
            type: Array
        },
        /* 回调 */
        tabsSelectedIitem: {
            type: Function
        },
        /* 默认选中项 */
        active: {
            type: Number,
            value: 0
        }
    },

    /**
     * 组件的初始数据
     */
    data: {},

    /**
     * 组件的方法列表
     */
    methods: {
        tabsChange(e) {
            this.setData({
                active: e.target.dataset.index
            });
            this.triggerEvent("tabsSelectedIitem", e.target.dataset.text)
        }
    }
})